commit 1d90e66c4b92f38ff6270f2a5889ba4085d33fb3
Author: freddy77 <freddy77>
Date:   Fri Mar 27 09:22:48 2009 +0000

    remove warning and check

diff --git a/ChangeLog b/ChangeLog
index 2b9f42b..791cdf8 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Mar 27 10:22:22 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/net.c: remove warning and check
+
 Tue Mar 24 11:38:29 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/test-auto.sh: style update
 
@@ -1452,4 +1455,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2762 2009/03/24 10:39:02 freddy77 Exp $
+$Id: ChangeLog,v 1.2763 2009/03/27 09:22:48 freddy77 Exp $
diff --git a/src/tds/net.c b/src/tds/net.c
index fcc44d9..caa0626 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -103,7 +103,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.90 2009/03/16 07:49:57 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.91 2009/03/27 09:22:49 freddy77 Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL)
@@ -700,7 +700,7 @@ tds_goodwrite(TDSSOCKET * tds, const unsigned char *buffer, size_t len, unsigned
 				continue;
 			}
 			
-			if (0 == nput || nput < 0 && sock_errno == EAGAIN)
+			if (0 == nput || sock_errno == EAGAIN)
 				continue;
 
 			assert(nput < 0);

